[arch-commits] Commit in php-apc/trunk (PKGBUILD php-apc.install)

Pierre Schmitz pierre at archlinux.org
Fri Apr 17 07:57:37 EDT 2009


    Date: Friday, April 17, 2009 @ 07:57:37
  Author: pierre
Revision: 35812

just cosmetics

Modified:
  php-apc/trunk/PKGBUILD
  php-apc/trunk/php-apc.install

-----------------+
 PKGBUILD        |    7 ++++---
 php-apc.install |    8 --------
 2 files changed, 4 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-17 11:55:55 UTC (rev 35811)
+++ PKGBUILD	2009-04-17 11:57:37 UTC (rev 35812)
@@ -1,5 +1,6 @@
 # $Id$
 # Maintainer: Pierre Schmitz <pierre at archlinux.de>
+
 pkgname=php-apc
 pkgver=3.0.19
 pkgrel=1
@@ -14,11 +15,11 @@
 md5sums=('951f43d2873e3572f5d5ae71a9b66f90')
 
 build() {
-	cd $startdir/src/APC-$pkgver
+	cd $srcdir/APC-$pkgver
 	phpize || return 1
 	./configure --prefix=/usr || return 1
 	make || return 1
-	make INSTALL_ROOT=${startdir}/pkg install || return 1
+	make INSTALL_ROOT=$pkgdir install || return 1
 	echo ';extension=apc.so' > apc.ini
-	install -D -m644 apc.ini ${startdir}/pkg/etc/php/conf.d/apc.ini
+	install -D -m644 apc.ini $pkgdir/etc/php/conf.d/apc.ini
 }

Modified: php-apc.install
===================================================================
--- php-apc.install	2009-04-17 11:55:55 UTC (rev 35811)
+++ php-apc.install	2009-04-17 11:57:37 UTC (rev 35812)
@@ -6,11 +6,3 @@
     extension make sure to uncomment it from its config file.
     '
 }
-
-post_upgrade() {
-  post_install
-}
-
-op=$1
-shift
-[ "$(type -t "$op")" = "function" ] && $op "$@"
\ No newline at end of file



More information about the arch-commits mailing list